package com.ruoyi.hywz.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.hywz.entity.AdsMatHyxtTaskHistoryD;
import com.ruoyi.hywz.entity.AdsMatHyxtTaskRunD;
import com.ruoyi.hywz.entity.vo.NodeVo;

import java.util.List;

/**
 * <p>
 * 已办任务表 服务类
 * </p>
 *
 * @author mybatisplus-generator
 * @date 2024-04-08 14:25:45
 */
public interface IAdsMatHyxtTaskHistoryDService extends IService<AdsMatHyxtTaskHistoryD> {

    void delete(String businessId);

    List<NodeVo> getLogList(String businessId);

    void auditOkSave(AdsMatHyxtTaskRunD currentTask);

    void auditFailSave(AdsMatHyxtTaskRunD currentTask, String auditMsg);

    AdsMatHyxtTaskHistoryD getOneNode(String businessId, Integer currentNode);

}
